Subject: [netatalk-admins] How did I do this?

From: Peter Gutowski <[email-masked]>
Date: 22 Mar 99 12:46:20 -0500

I'm using netatalk-1.4b2+asun2.1.2 on two systems, both running RH Linux 5.2, kernel 2.0.36. One system is a more recent installation than the other. When I create folders from a Mac on the 'older' installation they show up with permissions of 2770 (drwxrws---). Files created in these directories have permissions 660 (-rw-rw----). These permissions are completely satisfactory to our needs (no guest access to internal work). This 'older' installation started life many versions of asun (and plain netatalk before that) ago.

However on the 'newer' installation, which to the best of my recollection is setup the same way (right! how could it be?), new directories default to 2775 (drwxrwsr-x) and newly created files to 0664 (-rw-rw-r--).

When I compile a new netatalk version, I have a list of changes that I know I need to make to various files for compiling, practical and aesthetic reasons (OK! I change the default font in psf! -- so much for aesthetics.). AFAIK, I've made the same changes to both sources. Does netatalk remember things from the past? (I do recollect having a tough time making netatalk stop using the IP address I had used for a long time when I took the 'older' setup off the Internet)

Peter Gutowski

Power-Vue Graphics
[email-masked]
http://www.powervue.com/~peterg  << NEWLY UPDATED Jan 6, 1999 !!